/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * Authors:      Manzur Murshed and Rajkumar Buyya
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;
import java.util.*;
import java.io.*;

/**
 * PE (Processing Element) is CPU unit
 */
public class PE
{
  private int id;
  private int MIPSRating; //in SPEC MIPS or LINPACK MFLOPS

  public PE(int id, int MIPSRating) {
    this.id = id;
    this.MIPSRating = MIPSRating;
  }

  public int GetID() {
    return id;
  }

  public void SetMIPSRating(int MIPSRating) {
    this.MIPSRating = MIPSRating;
  }

  public int GetMIPSRating() {
    return MIPSRating;
  }

  public static int ByteSize() {
    return 2*4;
  }
}
